<?php

namespace FM\Factory;

use Doctrine\ORM\EntityManager;

class TarefaRecorrenteFactory {
    protected $connection;

    public function __construct(EntityManager $entityManager) {
        $this->connection = $entityManager->getConnection();
    }
    
    public function tarefaRecorrente($param){
        $sql="INSERT INTO FCM_TAREFARECORRENTE (NRTAREFARECORRENTE, NMTAREFA, TPLOCALTAREFA, LOCALTAREFA, NRCHECKLIST, ITENSCHECKLIST, ESCOPOSTAREFA,
                                                ITENSTAREFA, CRITERIOS, DIASSEMANA, HORARIO, DURACAO, NRFUNCTAREFA, NRFUNCVISTORIA, IDCRIARVISTORIA, NRORG, IDATIVO, DTINCLUSAO)
                   VALUES (:NRTAREFARECORRENTE, :NMTAREFA, :TPLOCALTAREFA, :LOCALTAREFA, :NRCHECKLIST, :ITENSCHECKLIST, :ESCOPOSTAREFA, :ITENSTAREFA,
                            :CRITERIOS, :DIASSEMANA, :HORARIO, :DURACAO, :NRFUNCTAREFA, :NRFUNCVISTORIA, :IDCRIARVISTORIA, :NRORG, :IDATIVO, SYSDATE)";
    
        
        $std = $this->connection->prepare($sql);
        $std->execute($param);
    }
    
    
    
    public function getTarefaRecorrente(){
        $sql="SELECT NRTAREFARECORRENTE, NMTAREFA, TPLOCALTAREFA, LOCALTAREFA, NRCHECKLIST, ITENSCHECKLIST, ESCOPOSTAREFA,
                                                ITENSTAREFA, CRITERIOS, DIASSEMANA, HORARIO, DURACAO, NRFUNCTAREFA, NRFUNCVISTORIA, IDCRIARVISTORIA, NRORG, IDATIVO
                FROM FCM_TAREFARECORRENTE";
    
        $std = $this->connection->prepare($sql);
        $std->execute();
        return $std->fetchAll();
    }
}

?>