<?php

namespace FM\Service;

use FM\Factory\ParamAlertContPessoasFactory;
use Teknisa\Libs\Util\Environment;
use Teknisa\Libs\Util\NewCode;

class ParamAlertContPessoasService {

    protected $ParamAlertContPessoasFactory;
    protected $Environment;
    protected $newCode;

    public function __construct (ParamAlertContPessoasFactory $ParamAlertContPessoasFactory, Environment $Environment, NewCode $newCode) {
        $this->ParamAlertContPessoasFactory = $ParamAlertContPessoasFactory;
        $this->Environment = $Environment;
        $this->newCode = $newCode;
    }
    
    public function insertParamAlert($params) {
        $nrorg = $params["NRORG"];
        $params["NRPARAMALERTCONTPESSOAS"] = $this->newCode->getCodeByTableName('FCM_PARAMALERTCONTPESSOAS', $nrorg, 1, 10, true);
        $this->ParamAlertContPessoasFactory->insertParamAlert($params);
    }
}

?>